Register Employees

Method registers employees for a test and returns identifiers that can be used to start the test.

Request Information

Scheme

POST https://api.startexam.com/v2/employees-participants

URI Parameters

None

Body Parameters

Json with the RegisterParticipantsQuery, see details and example below.

  • center - center unique name. The value can be retrieved from the center details page.
  • validFrom - session link activation time, UTC, ISO 8601.
  • validTill - session link expiration time, UTC, ISO 8601.
  • proctoring - enable proctoring (applicable only for accounts with enabled proctoring)
  • proctoringActivationParameters - proctoring parameters (applicable only with enabled proctoring)
  • doNotCreateIfExist - do not create new registration if employee has been already registered for center and test
  • tests - from 1 to 10 test identifiers, Guid.
  • employees - from 1 to 500 employees identifiers.

Request Example

POST https://api.startexam.com/v2/employees-participants HTTP/1.1
Host: api.startexam.com
Accept: application/json; charset=utf-8
Authorization: SharedKey 99:f52JP7GQd0xqrBzMO1NWTNVGzLENymgdUXu/Ie++NX4=
Content-Type: application/json; charset=utf-8
Content-Length: 518
Date: Tue, 31 Mar 2026 02:56:25 GMT

{
  "center": "mycenter",
  "validFrom": "2026-03-31T00:00:00Z",
  "validTill": "2026-04-10T23:59:59Z",
  "proctoring": true,
  "proctoringActivationParameters": [
    {
      "name": "Type",
      "value": "Offline"
    },
    {
      "name": "AuxiliaryCamera",
      "value": "true"
    }
  ],
  "doNotCreateIfExist": false,
  "tests": [
    "d288d3c9-6c23-46e9-9fac-3cc0301d84ef"
  ],
  "employees": [
    {
      "id": "willis74"
    },
    {
      "id": "knightly32"
    },
    {
      "id": "covey77"
    }
  ]
}

Date and Authorization headers are constructed in the standard way.

Response Information

HTTP status code

200 OK, 400 Bad Request, etc. according the response processing guide.

Content-Type

Json.

Content

Identifiers of registered participants (sessions for employees).

Use the URL mask below to construct a unique link for employee and redirect him to his exam:

https://go.startexam.com/{center}#participant/{id}

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 160

{
  "participantIds": [
    "75b2707a-c55a-430e-a7fd-37e7750ad658",
    "62d6a63e-f3ab-438d-8d3b-d5027b99710a",
    "6faddca2-baa8-4d6f-81a0-cf0551738a4e"
  ]
}

To redirect the first participant (willis74) to the assessment you can use URL:

https://go.startexam.com/mycenter#participant/75b2707a-c55a-430e-a7fd-37e7750ad658

Try Method